package provide DS9 1.0

proc AlignWCSFrame {} {
    global current
    global wcs

    if {$current(frame) != ""} {
	SetWatchCursor
	$current(frame) wcs align $wcs(align)
	UnsetWatchCursor
    }
}

proc UpdateWCSMenu {} {
    global current
    global wcs
    global buttons

    if {$current(frame) !=""} {
	if {[$current(frame) get fits count] > 0} {
	    if {[$current(frame) has wcs]} {
		if {[$current(frame) has wcs equatorial]} {
		    .menuBar.zoom entryconfig "Align to Equatorial WCS" \
			-state normal
		    $buttons(name).zoom.align configure -state normal
		} else {
		    .menuBar.zoom entryconfig "Align to Equatorial WCS" \
			-state disabled
		    $buttons(name).zoom.align configure -state disabled
		    set wcs(align) 0
		}
	    } else {
		.menuBar.zoom entryconfig "Align to Equatorial WCS" \
		    -state disabled
		$buttons(name).zoom.align configure -state disabled
		set wcs(align) 0
	    }
	} else {
	    .menuBar.zoom entryconfig "Align to Equatorial WCS" -state normal
	    $buttons(name).zoom.align configure -state normal
	}

    } else {
	.menuBar.zoom entryconfig "Align to Equatorial WCS" -state disabled
	$buttons(name).zoom.align configure -state disabled
	set wcs(align) 0
    }
}
